package com.persagy.dmp.rwd.datautils.jms.executor;

import com.persagy.dmp.rwd.datautils.jms.MessageExecutor;
import com.persagy.dmp.rwd.datautils.service.TransService;
import com.persagy.dmp.rwd.model.DmpMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *
 * 迁移数据平台项目数据到数据中台
 *
 * @author: yaoll
 * @date: 2020-12-18
 * @verison: 1.0
 */
@Component
public class TransProjectDataExecutor implements MessageExecutor {

	@Autowired
	private TransService transService;

	@Override
	public void execute(DmpMessage message) {

		String groupCode = message.getGroupCode();
		String projectId = message.getProjectId();
		String server = message.getStr1();
		String password = message.getStr2();


		transService.trans(groupCode, projectId, server, password);

	}
}
